import React from "react";
import {
	ComunicUser,
	ComunicUsersHelper,
} from "../../helpers/ComunicUsersHelper";
import { AsyncWidget } from "../widgets/AsyncWidget";

/**
 * Comunic user management route
 *
 * @author Pierre Hubert
 */
export class ComunicUserRoute extends React.Component<
	{ userID: number },
	{ user: ComunicUser }
> {
	constructor(p: any) {
		super(p);

		this.load = this.load.bind(this);
		this.build = this.build.bind(this);
	}

	async load() {
		const user = await ComunicUsersHelper.GetSingle(this.props.userID);

		this.setState({ user: user });
	}

	build() {
		return <p>Go for {this.state.user.first_name}</p>;
	}

	render() {
		return (
			<AsyncWidget
				key={this.props.userID}
				load={this.load}
				errorMessage="Failed to load user information!"
				onBuild={this.build}
			/>
		);
	}
}
